Bug 52541 - Fix unfetchable distfile for www/apache13-fp
Summary: Fix unfetchable distfile for www/apache13-fp
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Erwin Lansing
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-21 21:50 UTC by Scot W. Hetzel
Modified: 2003-06-08 10:57 UTC (History)
0 users

See Also:


Attachments
file.diff (9.86 KB, patch)
2003-05-21 21:50 UTC, Scot W. Hetzel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Scot W. Hetzel 2003-05-21 21:50:17 UTC
	The fplogo.gif is no longer fetchable from the Microsoft Web Site.

Fix: The attached patch changes fplogo.gif to createdwFP.gif, and adds a usage
	guideline for the Frontpage Logo.

	Updated apache.sh.tmpl to have the default apache_* variables in the script,
	instead of in an external file.

	Changed Files:
	    Makefile
	    distinfo
	    pkg-deinstall
	    pkg-install
	    pkg-plist
	    files/apache.sh.tmpl

	New File:
	    files/createdwFP.txt
How-To-Repeat: 	Remove fplogo.gif from /usr/ports/distfiles, and then try a make fetch.
Comment 1 Erwin Lansing freebsd_committer 2003-06-07 19:19:36 UTC
State Changed
From-To: open->feedback

You also need to edit files/patch-lang.en and pkg-plist is broken. 
Could you look into this? 


Comment 2 Erwin Lansing freebsd_committer 2003-06-07 19:19:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->erwin

You also need to edit files/patch-lang.en and pkg-plist is broken. 
Could you look into this?
Comment 3 Scot W. Hetzel 2003-06-07 23:12:59 UTC
> You also need to edit files/patch-lang.en and pkg-plist is broken. 
> Could you look into this? 

Attached is the patch to correct files/patch-lang.en and pkg-plist.

Index: files/patch-lang.en
===================================================================
RCS file: /home/ncvs/ports/www/apache13-fp/files/patch-lang.en,v
retrieving revision 1.6
diff -u -r1.6 patch-lang.en
--- files/patch-lang.en	28 Dec 2001 00:39:45 -0000	1.6
+++ files/patch-lang.en	7 Jun 2003 19:34:49 -0000
@@ -1,5 +1,5 @@
 --- htdocs/index.html.en.orig	Thu May  3 19:00:38 2001
-+++ htdocs/index.html.en	Wed Oct 17 18:58:19 2001
++++ htdocs/index.html.en	Sat May  7 14:34:19 2003
 @@ -29,10 +29,26 @@
  <p>The Apache <a href="manual/">documentation</a> has been included
  with this distribution.</p>
@@ -22,8 +22,8 @@
 +    <IMG SRC="/images/apache_pb.gif" ALT="Powered by Apache"></A>
 +  <A HREF="http://www.freebsd.org">
 +    <IMG SRC="/images/powerlogo.gif" ALT="Site driven by FreeBSD - FreeBSD: The Power to Server!"></A>
-+  <A HREF="http://www.microsoft.com/frontpage/default.htm">
-+    <IMG SRC="/images/fplogo.gif" ALT="Create with Microsoft Frontpage 2002"></A>
++  <A HREF="http://www.microsoft.com/frontpage/">
++    <IMG SRC="/images/createdwFP.gif ALT="Created and Managed  with Microsoft Frontpage 2002"></A>
 +</DIV>
  
 -<div align="center"><img src="apache_pb.gif" alt="" /></div>
--- pkg-plist.orig	Sat Jun  7 15:52:42 2003
+++ pkg-plist	Sat Jun  7 16:24:26 2003
@@ -641,7 +641,6 @@
 @dirrm include/apache/xml
 @dirrm include/apache
 @dirrm libexec/apache
-@dirrm share/doc/apache/manual/frontpage
 @dirrm share/doc/apache/manual/howto
 @dirrm share/doc/apache/manual/images
 @dirrm share/doc/apache/manual/misc
@@ -649,13 +648,13 @@
 @dirrm share/doc/apache/manual/programs
 @dirrm share/doc/apache/manual/search
 @dirrm share/doc/apache/manual/vhosts
-@dirrm share/doc/apache/manual
-@dirrm share/doc/apache
+@unexec rmdir %D/share/doc/apache/manual 2> /dev/null || true
+@unexec rmdir %D/share/doc/apache 2> /dev/null || true
 @dirrm www/cgi-bin
 @dirrm www/cgi-bin.default
-@dirrm www/data/images
-@dirrm www/data
+@unexec rmdir %D/www/data/images 2> /dev/null || true
+@unexec rmdir %D/www/data 2> /dev/null || true
 @dirrm www/icons/small
 @dirrm www/icons
 @dirrm www/proxy
-@dirrm www
+@unexec rmdir %D/www 2> /dev/null || true
Comment 4 Scot W. Hetzel 2003-06-08 02:15:31 UTC
I just noticed that 'esac' was missing in files/apache.sh.tmpl when the
above patch changes files/apache.sh.tmpl.

Please apply all 3 of these patches to the port.

Scot.

--- files/apache.sh.tmpl.orig	Sat Jun  7 20:06:50 2003
+++ files/apache.sh.tmpl	Sat Jun  7 20:07:09 2003
@@ -106,6 +106,7 @@
 			echo "usage: $0 {start|stop}" 1>&2
 			rc=64
 			;;
+		esac
 		;;
             *)
                 rc=0
Comment 5 Scot W. Hetzel 2003-06-08 02:30:15 UTC
I also missed a quote in the to patch-lang.en

++    <IMG SRC="/images/createdwFP.gif ALT="Created and Managed  with
Microsoft Frontpage 2002"></A>
                                                                ^- should be
a quote after createdwFP.gif.

Scot
Comment 6 Erwin Lansing freebsd_committer 2003-06-08 10:57:05 UTC
State Changed
From-To: feedback->closed

Committed, thanks!